<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up()
    {
        Schema::create('tbl_subject_detection_logs', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('subject');
            $table->string('confidence');
            $table->integer('camera_id');
            $table->string('camera_label')->nullable();
            $table->text('object_details')->nullable();
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('tbl_subject_detection_logs');
    }
};